<script setup>
import { useSidebar } from "../stores/useSidebar";
import SidebarCloseButton from "./SidebarCloseButton.vue";
import SidebarLinks from "./SidebarLinks.vue";

const sidebar = useSidebar();
</script>

<template>
  <aside
    :class="[
      'absolute left-0 top-0 z-20 h-dvh w-80 border-r bg-[#fbfafd] transition duration-300',
      sidebar.isOpen ? 'translate-x-0 md:sticky' : '-translate-x-full',
    ]"
  >
    <div class="flex h-16 items-center justify-between gap-4 border-b p-4">
      <a class="text-xl">Dashboard</a>
      <SidebarCloseButton v-if="sidebar.isOpen" />
    </div>

    <SidebarLinks />
  </aside>
</template>
